# This is a template for a config for complexContagion runs
# The "TESTING", "TRACING/ISOLATING" and "CLOSE CONTACTS" parameters have been set with default values
# All other parameters have been given dummy values and need to be set
#### INITIALISATION #### (NEEDS TO BE SET)
graph: "/absolute/path/to/network"
num_runs: 0
run_options:
  tmax: 0
  full_return: True/False
  dump_internals: True/False
  restart_from: "/absolute/path/to/restart/pkl"
  output_dir: "/absolute/path/to/output_directory"
  max_cases: 0
  print_params: True/False
node_attribute_options:
  ev_relabel: True/False
  ev_close: 0.0
  size_reject: 0
initial_conditions:
  random: True/False
  num_seeds: 0
  TA: 00
parameters:
  reseed:
    - time: 0
      num_seeds: 0
      max_attempts: 0
      random: True/False
      whole_groups: True/False
      TA: 00
      only_if: 
        - XX
########################
# CONTAGION PARAMETERS # (NEEDS TO BE SET)
  beta_0: 
    - 0.0
    - 0.0
    - 0.0
    - 0.0
  beta_c: 
    - 0.0
    - 0.0
    - 0.0
    - 0.0
  beta_h:
    - 0.0
    - 0.0
    - 0.0
    - 0.0
  beta_weights:
    - 0.0
    - 0.0
    - 0.0
    - 0.0
  density: 1.0
  density_groups: []
  eps_a: 0.0
  eps_b: 0.0
  eps_m: 0.0
  eps_p: 0.0
  eps_h: 0
  eps_c: 0
  # !include is relative to the location of the config file, not the running dir
  p_asympt_list: !include csv/path/here
  p_mild_list: !include csv/path/here
  gamma:
    scale: 0.0
    shape: 0.0
  delta_bm: 0.0
  delta_pi: 0.0
  delta_ih: 0.0
  delta_hc: 0.0
  alpha_ar: 0.0
  alpha_mr: 0.0
  alpha_md: 0.0
  alpha_ir: 0.0
  alpha_id: 0.0
  alpha_hr: 0.0
  alpha_cr: 0.0
  alpha_cd: 0.0
  mu_m: 0.0
  mu_i: 0.0
  mu_c_list: !include csv/path/here
  eta_h_list: !include csv/path/here
  eta_c_list: !include csv/path/here
  group_type_weights:
    HOME: 0.0
    WORK: 0.0
    COMM: 0.0
  omega: 
    policy: home/work/comm
    C: 0.0
    Q: 0.0
    W: 0.0
    D: 0.0 
  transmission_event_parameters:
    exponent: 0.0
    sigma: 0.0
    alpha: 0.0
    beta: 0.0  
########################
##### VACCINATION ###### (NEEDS TO BE SET)  
  vaccination:

########################
####### TESTING ######## (PRESET)  
  p_test_0: 0
  p_test_m: 0
  p_test_i:
  - 0.5
  - 0.5
  - 0.5
  - 0.5
  theta_0: 0
  theta_m: 0.5
  theta_i: 0.5
  theta_lab: 0.5
  quarantine:
    p_test_0: 0.5
    p_test_m: 0.8
    p_test_i:
    - 0.8
    - 0.8
    - 0.8
    - 0.8
    theta_0: 0.25
    theta_m: 1
    theta_i: 1
  test_also_iso: []
  casual_test_prob:
    default: 0.1
    dw: 0.5
    dz: 0.5
    we: 0.5
    wp: 0.5
    wz: 0.5
    sc: 0.5
    sz: 0.5
    pm: 0.5
    pz: 0.5
    ev: 0.05
  casual_test_delay:
    core:
      alpha: 3
      beta: 5
    scale: 4.5
    loc: 2.5
########################
## TRACING/ISOLATING ### (PRESET)
  kappa_0:
    scale: 1.5
    shape: 1.5
  kappa_c: 4
  trace_weights:
    HOME:
      close: 0
      casual: 0.25
    WORK:
      close: 2
      casual: 0.25
    COMM:
      close: 2
      casual: 0.25
  notrace:
    dw: 0
    dg: 0
    dz: 0
    we: 0.1
    wp: 0.1
    wg: 0.02
    wz: 0.02
    sc: 0.1
    sg: 0.02
    sz: 0.02
    pm: 0.1
    pg: 0.02
    pz: 0.02
    ev: 
      default: 0.3
      default_lockdown: 1
    ex: 
      default: 0.3
      default_lockdown: 1
  trace_drop:
    dw: 0.01
    dg: 0
    dz: 0
    we: 0.1
    wp: 0.1
    wg: 0.1
    wz: 0.1
    sc: 0.1
    sg: 0.1
    sz: 0.1
    pm: 0.1
    pg: 0.1
    pz: 0.1
    ev: 0.3
    ex: 0.1
  max_trace_attempts: 5
  escape_time:
    default: 10
    0: 10
    1: 7
    2: 7
########################
#### CLOSE CONTACTS #### (PRESET)   
  close_contact_weights:
    HOME: 2.5
    WORK: 1.0
    COMM: 4.0
########################
#### INTERVENTIONS ##### (NEEDS TO BE SET)
  adaptive_lockdown:
    - name: choose_name
      ncumul: 0
      delay: 0
      level: default_lockdown
      exhausted: True/False
  lockdown_weights:
    default_lockdown:
      dw: 0.0
      dg: 0.0
      dz: 0.0
      sc: 0.0
      sg: 0.0
      sz: 0.0
      pm: 0.0
      pg: 0.0
      pz: 0.0
      we: 0.0
      wp: 0.0
      wg: 0.0
      wz: 0.0
      ev: 0.0
      ex: 0.0
  lockdown_testing:
    default_lockdown:
      p_test_0: 0.0
      p_test_m: 0.0
      p_test_i: 
        - 0.0
        - 0.0
        - 0.0
        - 0.0      
      theta_0: 0.0
      theta_m: 0.0
      theta_i: 0.0
      theta_lab: 0.0
  lockdown_shutdown:
    _by_map_:
      OPEN: '00'
      CLOSED: '0X'
    default_lockdown:
      dw: 0.0
      dg: 0.0
      dz: 0.0
      sc: 0.0
      sg: 0.0
      sz: 0.0
      pm: 0.0
      pg: 0.0
      pz: 0.0
      we: 0.0
      wp: 0.0
      wg: 0.0
      wz: 0.0
      ev: 0.0
      ex: 0.0
  lockdown_state: 0
  group_size_reject: 
    default: 0
    default_lockdown: 0
  trace_policy:
    default:
      close: trace/test/skip
      casual: trace/test/skip
      EV: trace/test/skip
    default_lockdown:
      close: trace/test/skip
      casual: trace/test/skip
      EV: trace/test/skip